function cellInfo = P(varargin) 
% P returns a cell array containing bus object information 
% 
% Optional Input: 'false' will suppress a call to Simulink.Bus.cellToObject 
%                 when the MATLAB file is executed. 
% The order of bus element attributes is as follows:
%   ElementName, Dimensions, DataType, Complexity, SamplingMode, DimensionsMode, Min, Max, DocUnits, Description 

suppressObject = false; 
if nargin == 1 && islogical(varargin{1}) && varargin{1} == false 
    suppressObject = true; 
elseif nargin > 1 
    error('Invalid input argument(s) encountered'); 
end 

cellInfo = { ... 
  { ... 
    'slBus1', ... 
    '', ... 
    '', ... 
    'Auto', ... 
    '-1', {... 
{'alpha0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_L_alpha', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_L_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_L_q', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_L_delta_e', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_delta_e', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_p', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_alpha1', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_alpha2', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_beta2', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_beta1', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_beta0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_D_q', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_m_alpha', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_m_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_m_q', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_m_delta_e', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_Y_beta', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_Y_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_Y_p', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_Y_r', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_Y_delta_a', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_l_beta', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_l_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_l_p', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_l_r', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_l_delta_a', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_n_beta', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_n_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_n_p', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_n_r', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_n_delta_a', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'Jx', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'Jy', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'Jz', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'Jxz', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L1', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L2', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L3', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L4', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L5', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L6', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L7', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'L8', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_p_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_p_beta', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_p_p', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_p_r', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_p_delta_a', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_r_0', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_r_beta', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_r_p', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_r_r', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_r_delta_a', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'m', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'g', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'b', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'S_wing', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'e', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'M', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'rho', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'c', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'AR', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'S_prop', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'C_prop', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'k_motor', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'k_Omega', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'KT_p', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'delta_e_max', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'delta_e_min', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'delta_a_max', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'delta_a_min', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'delta_t_max', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
{'delta_t_min', [1 1], 'double', 'real', 'Sample', 'Fixed', [], [], '', ''}; ...
    } ...
  } ...
}'; 

if ~suppressObject 
    % Create bus objects in the MATLAB base workspace 
    Simulink.Bus.cellToObject(cellInfo) 
end 
